/**
 * Mysql-ms boot script
 * @return {Mysqlms}
 */
var init = false, loaderready = false;
exports = module.exports = function mysqlMsBoot(db) {

    /**
     * There will be a different connection pool for each db
     */
    db = db || this.config.MYSQL_DEFAULTDB;
    var mysql = this.include(this.kerneldir + 'adaptors/mysqlms').singleton(db, {

         host : this.config.MYSQLMS_MASTER_HOST
        ,port : this.config.MYSQLMS_MASTER_PORT
        ,user : this.config.MYSQLMS_MASTER_USER
        ,pass : this.config.MYSQLMS_MASTER_PASS

    },{

         host : this.config.MYSQLMS_SLAVE_HOST
        ,port : this.config.MYSQLMS_SLAVE_PORT
        ,user : this.config.MYSQLMS_SLAVE_USER
        ,pass : this.config.MYSQLMS_SLAVE_PASS

    }, db);

    /**
     * Attach listeners
     */
    if (!init) {
        init = true;

        /**
         * Connect
         */
        this.on('Mysqlms-connect', function() {
            if (!loaderready) {
                this.emit('loader-ready', 'Mysqlms');
            } else {
                this.log('Mysqlms - connected');
            }
        });

        /**
         * Disconnect
         */
        this.on('Mysqlms-disconnect', function() {
            if (!loaderread) {
                this.emit('loader-ready', 'Mysqlms');
            } else {
                this.log('Mysqlms - connected');
            }
        });

        /**
         * Connection error
         */
        this.on('Mysqlms-connect-error', function(error) {
            this.emit('error', error, true);
        });
    }

    return mysql;
};